aboutsummaryrefslogtreecommitdiff
path: root/drivers/gpu/drm/i915/intel_dp.c
diff options
context:
space:
mode:
authorVille Syrjälä <ville.syrjala@linux.intel.com>2013-11-05 14:00:08 +0200
committerDaniel Vetter <daniel.vetter@ffwll.ch>2013-11-08 18:37:32 +0100
commit00fe639a56b40930bf27eabeef9a826344d8f4c4 (patch)
tree6b2d682242d0c6d651189290a4b5a5e27dbacf4c /drivers/gpu/drm/i915/intel_dp.c
parentab3c759a0461528fcfab155b97da69edbc24b5d0 (diff)
downloadlinaro-lsk-00fe639a56b40930bf27eabeef9a826344d8f4c4.tar.gz
drm/i915: Make AGP support optional
We only depend on the intel-gtt module for GTT frobbign on older gens. The intel_agp module is optional, except for UMS and some old XvMC userland on gen3. So make AGP support optional. As before, we will fail the i915 init for UMS and gen3 KMS the same as before if intel_agp isn't around. intel-gtt.c is left with a somewhat ugly ifdef mess, but I'm going to save that for a later cleaning. At least my gen2 still works with the patch and CONFIG_AGP=n. v2: Make i915 depend on X86 and PCI, and intel-gtt depend on PCI Signed-off-by: Ville Syrjälä <ville.syrjala@linux.intel.com> Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>
Diffstat (limited to 'drivers/gpu/drm/i915/intel_dp.c')
0 files changed, 0 insertions, 0 deletions